The default RHEL6.x installation comes with python 2.6.6 but some people (mostly developers) need newer versions of python (either 2.7.3 or 3.3). Upgrading the existing python packages is not recommended as it would likely cause issues with the OS, so the only way is to install the other version(s)